[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TBCDField.Currency

Does the field represent a currency amount

## Declaration

Source position: db.pas line 840

`published property TBCDField.Currency : Boolean read FCurrency write FCurrency;`

## Description

Currency can be set to True to indicate that the field contains data representing an amount of currency. This affects the way the TField.DisplayText and TField.Text properties format the value of the field: if the Currency property is True, then these properties will format the value as a currency value (generally appending the currency sign) and if the Currency property is False, then they will format it as a normal floating-point value.

## See also

TField.DisplayText |  | Formatted field value
TField.Text |  | Text representation of the field